from datetime import datetime;
from dateutil.relativedelta import relativedelta;
import os;
import protoborsaconfig;
#gets a list and return a dictionary for plotting with pycha.
'''
how pycha wants a list of dictionary... for axis ticks: 
	[{'v': 0, 'label': 'day1'},
	 {'v': 1, 'label': 'day2'},
         {'v': 2, 'label': 'day3'}]
'''
def getAxisTicks(days):
	ticks = [];
	i=1;
	for day in days:
		if i % 2 != 0:
			ticks.append({'v': i, 'label': day});
		else:
			ticks.append({'v': i, 'label': ''});
		i=i+1;
	return ticks;

#2012-05-02
def getDayMonth(ydate):
	return ydate[8:10] + '/' + ydate[5:7];

#format 20120401
def getLastMonth4YEnd():
	return (datetime.now() + relativedelta(days=-1)).strftime('%Y%m%d');

def getLastMonth4YBegin():
	return (datetime.now() + relativedelta(months=-1,days=-1)).strftime('%Y%m%d');

def getDbPath():
	return os.getenv("HOME")+"/.protoborsa/stocksymbols.db";

def createSettings():
	settDirectory = os.getenv("HOME")+"/.protoborsa/";
	dbFile = "stocksymbols.db";
	destDir = protoborsaconfig.get_data_path() + "/db/" + dbFile;

	if not os.path.exists(settDirectory):
		os.makedirs(settDirectory);
	        cmdStr = "cp "+destDir+" "+settDirectory;
		print "Creating settings directory, copy file there "+cmdStr;
		os.system(cmdStr);
	else:
		print "Dir Exist";
	fname = settDirectory + "/"+dbFile;
	if(os.path.isfile(fname)):
		print "Settings file found";
		return True;
	else:
		print "Settings file non found"+fname;
		cmdStr = "cp "+destDir+" "+settDirectory;
		print "Creating settings directory, copy file there "+cmdStr;
		os.system(cmdStr);
	return False;
